import { JwtService } from '@nestjs/jwt';
import { UserService } from 'src/user/user.service';
import { LoginDto } from './auth.dtos';
export declare class AuthService {
    private readonly usersService;
    private readonly jwtService;
    constructor(usersService: UserService, jwtService: JwtService);
    login(loginDto: LoginDto): Promise<{
        userData: {
            uuid: string;
            email: string;
            role: import("../user/user.entity").Role;
            transactions: import("../transaction/transaction.entity").Transaction[];
            firstName?: string;
            lastName?: string;
            address?: string;
            formLocation?: string;
        };
        token: string;
    }>;
}
